import { apiResquest } from './request.js'
import { debugResquest } from './request.js'

//查询公共配置
export const authConfigInfo = (data) => {
	return debugResquest({
		url: `/auth/configInfo`,
		method: 'GET',
		data: data,
	})
};
/*                分类获取公共配置
* category        1.系统参数 2.公共配置
* configType      1.基础配置 2.管控一体机 3.化学品终端 4.小程序配置 5.开发配置 6.首页配置
*/
export const getConfigByType = (data) => {
	return debugResquest({
		url: `/system/config/info/getConfigByType`,
		method: 'POST',
		data: { ...data }
	})
};
//获取验证码
export const authCaptcha = (data) => {
	return debugResquest({
		url: `/auth/captcha`,
		method: 'GET',
		data: data,
	})
};
//登录
export const login = (data) => {
	return apiResquest({
		url: `/auth/optApp`,
		method: 'POST',
		data: { ...data }
	})
};
//查询路由字段
export const systemMenuGetRouters = (data) => {
	return apiResquest({
    url: '/system/menu/getRouters',
		method: 'GET',
		data: data,
	})
};
//查询设备数量
export const iotStatisticsDevices = (data) => {
	return apiResquest({
    url: '/iot/statistics/devices',
		method: 'GET',
		data: data,
	})
};
//告警消息列表
export const iotAlarmLogSelect = (data) => {
	return apiResquest({
    url: '/iot/alarm/log/select',
		method: 'POST',
		data: { ...data },
	})
};
//物联设备列表
export const iotDeviceList = (data) => {
	return apiResquest({
    url: '/iot/device/list',
		method: 'POST',
		data: { ...data },
	})
};
//硬件设备-分类下拉列表
export const iotHardwareFindHardwareType = (data) => {
	return apiResquest({
    url: '/iot/hardwareType/findHardwareType',
		method: 'POST',
		data: { ...data },
	})
};
//硬件设备-获取继电器
export const iotDeviceFindByType = (data) => {
	return apiResquest({
    url: '/iot/device/findByType',
		method: 'POST',
		data: { ...data },
	})
};
//硬件设备-列表
export const iotHardwareList = (data) => {
	return apiResquest({
    url: '/iot/hardware/list',
		method: 'POST',
		data: { ...data },
	})
};
//硬件设备-详情
export const iotHardwareDetail = (data) => {
	return apiResquest({
    url: '/iot/hardware/detail',
		method: 'GET',
		data: data,
	})
};
//硬件设备-新增
export const iotHardwareAdd = (data) => {
	return apiResquest({
    url: '/iot/hardware/add',
		method: 'POST',
		data: { ...data },
	})
};
//硬件设备-编辑
export const iotHardwareUpdate = (data) => {
	return apiResquest({
    url: '/iot/hardware/update',
		method: 'POST',
		data: { ...data },
	})
};
//硬件设备-删除
export const iotHardwareDelete = (data) => {
	return apiResquest({
    url: '/iot/hardware/delete',
		method: 'POST',
		data: { ...data },
	})
};
//硬件设备-功能下拉列表
export const iotHardwareFunctionDropList = (data) => {
	return apiResquest({
    url: '/iot/hardware/function/dropList',
		method: 'POST',
		data: { ...data },
	})
};
//硬件设备-硬件日志
export const iotHardwareLogList = (data) => {
	return apiResquest({
    url: '/iot/hardware/log/list',
		method: 'POST',
		data: { ...data },
	})
};

//获取设备类型下拉列表
export const iotTypeGetAllTypes = (data) => {
	return apiResquest({
    url: '/iot/type/getAllTypes',
		method: 'GET',
		data: data,
	})
};
//设备类型配置查询
export const iotTypeGetParamByTypeId = (data) => {
	return apiResquest({
    url: '/iot/type/getParamByTypeId',
		method: 'GET',
		data: data,
	})
};
//通过设备类型查询设备属性
export const iotAttributeGetByTypeId = (data) => {
	return apiResquest({
    url: '/iot/attribute/getByTypeId',
		method: 'GET',
		data: data,
	})
};
//楼栋tree列表
export const systemBuildingGetTreeList = (data) => {
	return apiResquest({
    url: '/system/building/getTreeList',
		method: 'POST',
		data: { ...data },
	})
};
/*根据校区/楼栋/楼层查询实验室列表
  deptId:'校区查询'
  buildId:'楼栋查询'
  floorId:'楼层查询'
*/
export const laboratorySubRelInfoGetListByFloor = (data) => {
	return apiResquest({
    url: '/laboratory/subRelInfo/getListByFloor',
		method: 'POST',
		data: { ...data },
	})
};
//物联设备-新增
export const iotDeviceAdd = (data) => {
	return apiResquest({
    url: '/iot/device/add',
		method: 'POST',
		data: { ...data },
	})
};
//物联设备-编辑
export const iotDeviceUpdate = (data) => {
	return apiResquest({
    url: '/iot/device/update',
		method: 'POST',
		data: { ...data },
	})
};
//物联设备-删除
export const iotDeviceDelete = (data) => {
	return apiResquest({
    url: '/iot/device/delete',
		method: 'POST',
		data: { ...data },
	})
};
//物联设备-详情
export const iotDeviceDetail = (data) => {
	return apiResquest({
    url: '/iot/device/detail',
		method: 'GET',
		data: data,
	})
};
//物联设备-诊断-通信状态
export const iotDeviceCheckConnect = (data) => {
	return debugResquest({
    url: '/iot/device/check/connect',
		method: 'GET',
		data: data,
	})
};
//物联设备-诊断-在线状态
export const iotDeviceCheckOnline = (data) => {
	return debugResquest({
    url: '/iot/device/check/online',
		method: 'GET',
		data: data,
	})
};
//物联设备-诊断-设备状态
export const iotDeviceCheckState = (data) => {
	return debugResquest({
    url: '/iot/device/check/state',
		method: 'GET',
		data: data,
	})
};
//物联设备-获取调试功能列表
export const iotTypeFunctionDropList = (data) => {
	return apiResquest({
    url: '/iot/type/function/dropList',
		method: 'POST',
		data: { ...data },
	})
};
//物联设备-POST调试
export const iotDebugFunctionPost = (url,data) => {
	return debugResquest({
    url: url,
		method: 'POST',
		data: { ...data },
	})
};
//物联设备-GET调试
export const iotDebugFunctionGet = (url,data) => {
	return debugResquest({
    url: url,
		method: 'GET',
		data: data,
	})
};
//物联设备-日志列表
export const itoDeviceLogList = (data) => {
	return apiResquest({
    url: '/iot/device/log/list',
		method: 'POST',
		data: { ...data },
	})
};
//物联设备-上报日志列表
export const itoDeviceDataList = (data) => {
	return apiResquest({
    url: '/iot/deviceData/list',
		method: 'POST',
		data: { ...data },
	})
};
//告警消息列表
export const itoAlarmLogList = (data) => {
	return apiResquest({
    url: '/iot/alarm/log/list',
		method: 'POST',
		data: { ...data },
	})
};
//物联分类-列表
export const itoTypeList = (data) => {
	return apiResquest({
    url: '/iot/type/list',
		method: 'POST',
		data: { ...data },
	})
};
//物联分类-详情页-模型列表
export const itoTypeTypeModelAndAttr = (data) => {
	return apiResquest({
    url: '/iot/type/typeModelAndAttr',
		method: 'GET',
		data: data,
	})
};
//物联分类-详情页-属性列表
export const itoAttributeList = (data) => {
	return apiResquest({
    url: '/iot/attribute/list',
		method: 'POST',
		data: { ...data },
	})
};
//物联分类-详情页-功能列表
export const itoTypeFunctionList = (data) => {
	return apiResquest({
    url: '/iot/type/function/list',
		method: 'POST',
		data: { ...data },
	})
};
//物联分类-配置-属性详情
export const iotAttributeDetail = (data) => {
	return apiResquest({
    url: '/iot/attribute/detail',
		method: 'GET',
		data: data,
	})
};
//网络组件-列表
export const itoNetworkList = (data) => {
	return apiResquest({
    url: '/iot/network/list',
		method: 'POST',
		data: { ...data },
	})
};
//网络组件-新增
export const itoNetworkAdd = (data) => {
	return apiResquest({
    url: '/iot/network/add',
		method: 'POST',
		data: { ...data },
	})
};
//网络组件-编辑
export const itoNetworkUpdate = (data) => {
	return apiResquest({
    url: '/iot/network/update',
		method: 'POST',
		data: { ...data },
	})
};
//网络组件-详情
export const itoNetworkDetail = (data) => {
	return apiResquest({
    url: '/iot/network/detail',
		method: 'POST',
		data: { ...data },
	})
};
//网络组件-删除
export const itoNetworkDelete = (data) => {
	return apiResquest({
    url: '/iot/network/delete',
		method: 'POST',
		data: { ...data },
	})
};
