import {
	tansParams
} from "./util.js";

export const apiResquest = (prams) => {
	return new Promise((resolve, reject) => {
		let url = uni.getStorageSync('serverConfig').agreement + '://' + uni.getStorageSync('serverConfig').ip + prams.url;
		uni.showLoading({
			title: '加载中',
			mask: true
		});
		// get请求映射params参数
		if (prams.method === 'GET' && prams.data) {
			url = url + '?' + tansParams(prams.data);
			url = url.slice(0, -1);
			prams.data = {};
		}

		return uni.request({
			url: url,
			data: {
				...prams.data
			},
			method: prams.method,
			header: {
				'content-type': 'application/json;charset=utf-8',
				'Authorization': uni.getStorageSync('token')
			},
			timeout:10000,
			success: (res) => {
				// 成功
				uni.hideLoading()
				if (res.data.code == 200) {
					resolve(res);
				} else if (res.data.code == 5002) {
					uni.showToast({
						mask: true,
						icon: "none",
						position: "center",
						title: "登录超时,请重新登录~",
						duration: 2000
					});
					uni.removeStorageSync('token');
					uni.removeStorageSync('permissions');
					uni.removeStorageSync('fileBrowseEnvironment');
					setTimeout(function() {
						uni.reLaunch({
							url: '/pages/basicsModule/login',
						});
					}, 2000);
				} else {
					uni.showToast({
						mask: true,
						icon: "none",
						position: "center",
						title: res.data.message,
						duration: 2000
					});
					resolve(res);
				}
			},
			fail: (err) => {
				// 失败
				uni.hideLoading()
				uni.showToast({
					mask: true,
					icon: "none",
					position: "center",
					title: '出错啦~请联系管理员!',
					duration: 2000
				});
			},
			complete: () => {
				// 完成
			}
		});
	})
}
//调试拦截器
export const debugResquest = (prams) => {
	return new Promise((resolve, reject) => {
		let url = uni.getStorageSync('serverConfig').agreement + '://' + uni.getStorageSync('serverConfig').ip + prams.url;
		uni.showLoading({
			title: '加载中',
			mask: true
		});
		// get请求映射params参数
		if (prams.method === 'GET' && prams.data) {
			url = url + '?' + tansParams(prams.data);
			url = url.slice(0, -1);
			prams.data = {};
		}

		return uni.request({
			url: url,
			data: {
				...prams.data
			},
			method: prams.method,
			header: {
				'content-type': 'application/json;charset=utf-8',
				'Authorization': uni.getStorageSync('token')
			},
			timeout:3000,
			success: (res) => {
				// 成功
				uni.hideLoading()
				resolve(res);
			},
			fail: (err) => {
				// 失败
				uni.hideLoading()
				resolve(err);
			},
			complete: () => {
				// 完成
			}
		});
	})
}